BSDK.NET - BlomURBEX 3D Data Provider Software Development Kit

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Types | Public Member Functions | Public Attributes
BSDKW::BLiDARPoint Class Reference

List of all members.

## Public Types
enum | BLiDARClassification { NEVER_CLASSIFIED = NatBLiDARPoint.BLiDARClassification.NEVER_CLASSIFIED, UNCLASSIFIED = NatBLiDARPoint.BLiDARClassification.UNCLASSIFIED, GROUND = NatBLiDARPoint.BLiDARClassification.GROUND, LOW_VEGETATION = NatBLiDARPoint.BLiDARClassification.LOW_VEGETATION, MEDIUM_VEGETATION = NatBLiDARPoint.BLiDARClassification.MEDIUM_VEGETATION, HIGH_VEGETATION = NatBLiDARPoint.BLiDARClassification.HIGH_VEGETATION, BUILDING = NatBLiDARPoint.BLiDARClassification.BUILDING, LOW_POINT_NOISE = NatBLiDARPoint.BLiDARClassification.LOW_POINT_NOISE, MODEL_KEY_POINT = NatBLiDARPoint.BLiDARClassification.MODEL_KEY_POINT, WATER = NatBLiDARPoint.BLiDARClassification.WATER, OVERLAP_POINTS = NatBLiDARPoint.BLiDARClassification.OVERLAP_POINTS }
enum | BLiDARScanDirectionFlag { FROM_LEFT_TO_RIGHT = NatBLiDARPoint.BLiDARScanDirectionFlag.FROM_LEFT_TO_RIGHT, FROM_RIGHT_TO_LEFT = NatBLiDARPoint.BLiDARScanDirectionFlag.FROM_RIGHT_TO_LEFT }
| The Scan Direction Flag denotes the direction at which the scanner mirror was traveling at the time of the output pulse. More...
## Public Member Functions
| BLiDARPoint ()
| LiDAR points classification enumeration 10-11 and 13-31 is reserved for future definitions.
| BLiDARPoint (NatBLiDARPoint obj)
## Public Attributes
double | x
double | y
| Y coordinate of the point.
double | z
| Absolute Z coordinate of the point.
double | dz
| Z Relative Z coordinate of the point.
int | intensity
| The intensity value is the integer representation of the pulse return magnitude.
byte | currentReturn
| The return number is the pulse return number for a given output pulse.
byte | numReturnsOfGivenPulse
| Number of Returns (for this emitted pulse): The number of returns is the total number of returns for a given pulse.
BLiDARScanDirectionFlag | scanDirectionFlag
| Scan direction flag.
bool | isEdgeOfFlightLine
| This value is true only when the point is at the end of a scan.
BLiDARClassification | classification
| Point classification.
bool | synthetic
| If set then this point was created by a technique other than LIDAR collection such as digitized from a photogrammetric stereo model.
bool | keyPoint
| If set, this point is considered to be a model key-point and thus generally should not be withheld in a thinning algorithm.
bool | withheld
| If set, this point should not be included in processing (synonymous with Deleted).
bool | have_RGB
| If set, this point has a color information.
byte | R
| The Red image channel value associated with this point.
byte | G
| The Green image channel value associated with this point.
byte | B
| The Blue image channel value associated with this point.

## Member Enumeration Documentation

enum BSDKW::BLiDARPoint::BLiDARClassification

Enumerator:

  NEVER_CLASSIFIED |
  UNCLASSIFIED |
  GROUND |
  LOW_VEGETATION |
  MEDIUM_VEGETATION |
  HIGH_VEGETATION |
  BUILDING |
  LOW_POINT_NOISE |
  MODEL_KEY_POINT |
  WATER |
  OVERLAP_POINTS |

enum BSDKW::BLiDARPoint::BLiDARScanDirectionFlag

The Scan Direction Flag denotes the direction at which the scanner mirror was traveling at the time of the output pulse.

Enumerator:

  FROM_LEFT_TO_RIGHT |
  FROM_RIGHT_TO_LEFT |

## Constructor & Destructor Documentation

BSDKW::BLiDARPoint::BLiDARPoint | ( |  | ) | `[inline]`

LiDAR points classification enumeration 10-11 and 13-31 is reserved for future definitions.

BSDKW::BLiDARPoint::BLiDARPoint | ( | NatBLiDARPoint | obj | ) | `[inline]`

## Member Data Documentation

byte BSDKW::BLiDARPoint::B

The Blue image channel value associated with this point.

BLiDARClassification BSDKW::BLiDARPoint::classification

Point classification.

byte BSDKW::BLiDARPoint::currentReturn

The return number is the pulse return number for a given output pulse.

A given output laser pulse can have many returns, and they must be marked in sequence of return. The first return will have a return number of one, the second a return Number of two, and so on up to five returns.

double BSDKW::BLiDARPoint::dz

Z Relative Z coordinate of the point.

byte BSDKW::BLiDARPoint::G

The Green image channel value associated with this point.

bool BSDKW::BLiDARPoint::have_RGB

If set, this point has a color information.

int BSDKW::BLiDARPoint::intensity

The intensity value is the integer representation of the pulse return magnitude.

This value is optional and system specific. However, it should always be included if available.

bool BSDKW::BLiDARPoint::isEdgeOfFlightLine

This value is true only when the point is at the end of a scan.

It is the last point on a given scan line before it changes direction.

bool BSDKW::BLiDARPoint::keyPoint

If set, this point is considered to be a model key-point and thus generally should not be withheld in a thinning algorithm.

byte BSDKW::BLiDARPoint::numReturnsOfGivenPulse

Number of Returns (for this emitted pulse): The number of returns is the total number of returns for a given pulse.

For example, a laser data point may be return two (Return Number) within a total number of five returns.

byte BSDKW::BLiDARPoint::R

The Red image channel value associated with this point.

BLiDARScanDirectionFlag BSDKW::BLiDARPoint::scanDirectionFlag

Scan direction flag.

bool BSDKW::BLiDARPoint::synthetic

If set then this point was created by a technique other than LIDAR collection such as digitized from a photogrammetric stereo model.

bool BSDKW::BLiDARPoint::withheld

If set, this point should not be included in processing (synonymous with Deleted).

double BSDKW::BLiDARPoint::x

double BSDKW::BLiDARPoint::y

Y coordinate of the point.

double BSDKW::BLiDARPoint::z

Absolute Z coordinate of the point.

The documentation for this class was generated from the following file:

- BSDK.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events